Subject: Re: bug#44209: 28.0.50; [feature/native-comp] Compilation failure in progmodes/js.el

From: Andrea Corallo <[email-masked]>
Date: Sun, 25 Oct 2020 21:43:44 +0000

Okay I think I see what is going on:

We fail to inline `cc-bytecomp-is-compiling' inside cc-defs.el because
`cc-bytecomp-is-compiling' is native compiled even if it should not.
We do not native compile defsubsts so they can be disassebled by the
bytecompiler to have the inlining performed effectively.

Prove of this is that adding (declare (speed -1)) to
`cc-bytecomp-is-compiling' to prevent native compialtion fix the
issue.

Now why defsubst is failing to do the same automatically is another
question I have to look into.  I suspect this issue is also the cause
of some of the warnings we see during the native build.

  Andrea